## org.w3c.jigsaw.proxy
Class ProxyRequestObserver

    java.lang.Object
      |
      +--org.w3c.jigsaw.proxy.ProxyRequestObserver

public class ProxyRequestObserver
extends java.lang.Object
implements RequestObserver

Constructor Summary
`ProxyRequestObserver(Request request)`

Method Summary
`void` | `notifyProgress(RequestEvent event)` Call back, invoked by the HttpManager callback thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyRequestObserver

    public ProxyRequestObserver(Request request)

Method Detail

### notifyProgress

    public void notifyProgress(RequestEvent event)

  Call back, invoked by the HttpManager callback thread. Each time a request status changes (due to progress in its processing) this callback gets called, with the new status as an argument.
  Specified by:
    notifyProgress in interface RequestObserver
  Parameters:
    `preq` - The pending request that has made some progress.
    `event` - The event to broadcast.